/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global iw_payload_widget, iw_form, iw_xhr, iw_ctrl_handler, $, iw_js_data*/
(function () {
    let preventReset, lookupIps;

    /*
     * Prevents the form reset from happening.
     *
     * @param string eventType Custom Event type
     * @param array  args      Arguments supplied to fire()
     */
    preventReset = function (e, args) {
        let options = args.options;

        options.prevent_reset = true;
    };

    lookupIps = function () {
        let ipv4, ipv6, host, callback, input;

        host = document.getElementById('hostname');
        ipv4 = document.getElementById('ipv4');
        ipv6 = document.getElementById('ipv6');

        ipv4.disabled = 1;
        iw_form.markPending(ipv4);
        iw_form.setValue(ipv4, '##LG_PLEASEWAIT##');
        $(ipv4).addClass('iw-dim');

        if (ipv6) {
            ipv6.disabled = 1;
            iw_form.markPending(ipv6);
            iw_form.setValue(ipv6, '##LG_PLEASEWAIT##');
            $(ipv6).addClass('iw-dim');
        }

        callback = {
            args    : this,
            callback: function (reply, success, el) {
                let response;
                if (success) {
                    response = reply.getReplyData();

                    iw_form.setValue(ipv4, response.ipv4);

                    if (ipv6) {
                        iw_form.setValue(ipv6, response.ipv6);
                    }
                } else {
                    iw_form.setValue(ipv4, '');

                    if (ipv6) {
                        iw_form.setValue(ipv6, '');
                    }
                }

                ipv4.disabled = 0;
                iw_form.clearStatus(ipv4);
                $(ipv4).removeClass('iw-dim');

                if (ipv6) {
                    ipv6.disabled = 0;
                    iw_form.clearStatus(ipv6);
                    $(ipv6).removeClass('iw-dim');
                }
            }
        };

        input = {
            hostname         : iw_form.getValue(host),
            security_token   : iw_js_data.iw_env.security_token,
            iw_payload_output: 'json'
        };

        iw_ctrl_handler.execute(null, callback, '/nodeworx/cluster/nodes', 'queryHostIpsCommit', input);
    };

    $('#hostname').blur(lookupIps);
    iw_xhr.subscribeTo(preventReset, 'addCommit');
})();
